--- !ruby/object:Gem::Specification
name: ZenTest
version: !ruby/object:Gem::Version
  version: 4.11.0
platform: ruby
authors:
- Ryan Davis
- Eric Hodel
autorequire: 
bindir: bin
cert_chain:
- |
  -----BEGIN CERTIFICATE-----
  MIIDPjCCAiagAwIBAgIBAjANBgkqhkiG9w0BAQUFADBFMRMwEQYDVQQDDApyeWFu
  ZC1ydWJ5MRkwFwYKCZImiZPyLGQBGRYJemVuc3BpZGVyMRMwEQYKCZImiZPyLGQB
  GRYDY29tMB4XDTE0MDkxNzIzMDcwN1oXDTE1MDkxNzIzMDcwN1owRTETMBEGA1UE
  AwwKcnlhbmQtcnVieTEZMBcGCgmSJomT8ixkARkWCXplbnNwaWRlcjETMBEGCgmS
  JomT8ixkARkWA2NvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBALda
  b9DCgK+627gPJkB6XfjZ1itoOQvpqH1EXScSaba9/S2VF22VYQbXU1xQXL/WzCkx
  taCPaLmfYIaFcHHCSY4hYDJijRQkLxPeB3xbOfzfLoBDbjvx5JxgJxUjmGa7xhcT
  oOvjtt5P8+GSK9zLzxQP0gVLS/D0FmoE44XuDr3iQkVS2ujU5zZL84mMNqNB1znh
  GiadM9GHRaDiaxuX0cIUBj19T01mVE2iymf9I6bEsiayK/n6QujtyCbTWsAS9Rqt
  qhtV7HJxNKuPj/JFH0D2cswvzznE/a5FOYO68g+YCuFi5L8wZuuM8zzdwjrWHqSV
  gBEfoTEGr7Zii72cx+sCAwEAAaM5MDcwCQYDVR0TBAIwADALBgNVHQ8EBAMCBLAw
  HQYDVR0OBBYEFEfFe9md/r/tj/Wmwpy+MI8d9k/hMA0GCSqGSIb3DQEBBQUAA4IB
  AQAFoDJRokCQdxFfOrmsKX41KOFlU/zjrbDVM9hgB/Ur999M6OXGSi8FitXNtMwY
  FVjsiAPeU7HaWVVcZkj6IhINelTkXsxgGz/qCzjHy3iUMuZWw36cS0fiWJ5rvH+e
  hD7uXxJSFuyf1riDGI1aeWbQ74WMwvNstOxLUMiV5a1fzBhlxPqb537ubDjq/M/h
  zPUFPVYeL5KjDHLCqI2FwIk2sEMOQgjpXHzl+3NlD2LUgUhHDMevmgVua0e2GT1B
  xJcC6UN6NHMOVMyAXsr2HR0gRRx4ofN1LoP2KhXzSr8UMvQYlwPmE0N5GQv1b5AO
  VpzF30vNaJK6ZT7xlIsIlwmH
  -----END CERTIFICATE-----
date: 2014-09-27 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: minitest
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '5.4'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '5.4'
- !ruby/object:Gem::Dependency
  name: rdoc
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '4.0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '4.0'
- !ruby/object:Gem::Dependency
  name: hoe
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '3.13'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '3.13'
description: |-
  ZenTest provides 4 different tools: zentest, unit_diff, autotest, and
  multiruby.

  zentest scans your target and unit-test code and writes your missing
  code based on simple naming rules, enabling XP at a much quicker pace.
  zentest only works with Ruby and Minitest or Test::Unit. There is
  enough evidence to show that this is still proving useful to users, so
  it stays.

  unit_diff is a command-line filter to diff expected results from
  actual results and allow you to quickly see exactly what is wrong.
  Do note that minitest 2.2+ provides an enhanced assert_equal obviating
  the need for unit_diff

  autotest is a continous testing facility meant to be used during
  development. As soon as you save a file, autotest will run the
  corresponding dependent tests.

  multiruby runs anything you want on multiple versions of ruby. Great
  for compatibility checking! Use multiruby_setup to manage your
  installed versions.
email:
- ryand-ruby@zenspider.com
- drbrain@segment7.net
executables:
- autotest
- multigem
- multiruby
- multiruby_setup
- unit_diff
- zentest
extensions: []
extra_rdoc_files:
- History.txt
- Manifest.txt
- README.txt
- articles/how_to_use_zentest.txt
- example.txt
files:
- .autotest
- .gemtest
- History.txt
- Manifest.txt
- README.txt
- Rakefile
- articles/Article.css
- articles/getting_started_with_autotest.html
- articles/how_to_use_zentest.txt
- bin/autotest
- bin/multigem
- bin/multiruby
- bin/multiruby_setup
- bin/unit_diff
- bin/zentest
- example.txt
- example1.rb
- example2.rb
- example_dot_autotest.rb
- lib/autotest.rb
- lib/autotest/autoupdate.rb
- lib/autotest/bundler.rb
- lib/autotest/isolate.rb
- lib/autotest/once.rb
- lib/autotest/preload.rb
- lib/autotest/rcov.rb
- lib/autotest/restart.rb
- lib/autotest/timestamp.rb
- lib/focus.rb
- lib/functional_test_matrix.rb
- lib/multiruby.rb
- lib/unit_diff.rb
- lib/zentest.rb
- lib/zentest_mapping.rb
- test/test_autotest.rb
- test/test_focus.rb
- test/test_unit_diff.rb
- test/test_zentest.rb
- test/test_zentest_mapping.rb
homepage: https://github.com/seattlerb/zentest
licenses:
- MIT
metadata: {}
post_install_message: 
rdoc_options:
- --main
- README.txt
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>='
    - !ruby/object:Gem::Version
      version: '0'
required_rubygems_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>='
    - !ruby/object:Gem::Version
      version: '1.8'
  - - <
    - !ruby/object:Gem::Version
      version: '3.0'
requirements: []
rubyforge_project: 
rubygems_version: 2.4.1
signing_key: 
specification_version: 4
summary: 'ZenTest provides 4 different tools: zentest, unit_diff, autotest, and multiruby'
test_files:
- test/test_autotest.rb
- test/test_focus.rb
- test/test_unit_diff.rb
- test/test_zentest.rb
- test/test_zentest_mapping.rb
